@use "colors";
@use "utils";
@use "boxes";
@use "detailed-radio-select";

$font-stack: "Marianne-Regular", arial, sans-serif;

// basic layout -----------------------------------------

html, body {
  min-height: 100vh;
}

body {
  display: flex;
  flex-direction: column;
}

ul, ol {
  margin: 0;
  padding: 0;
  list-style-position: inside;
}

svg.previews {
  display: none;
}

#main {
  overflow: hidden;
  flex-grow: 100;
}

main {
  a[href] {
    color: colors.$red-aidants;
    font-weight: bold;
  }
}

[hidden] {
  display: none !important;
}

// Accessibility ------------------------------------------------------

:focus-visible {
  background: colors.$off-yellow-aidants;
  color: colors.$dark-grey-aidants !important;
  outline: 0 solid colors.$off-yellow-aidants;
  border-color: colors.$off-yellow-aidants;
}

// From https://gist.github.com/ffoodd/000b59f431e3e64e4ce1a24d5bb36034

.sr-only {
  border: 0 !important;
  clip: rect(1px, 1px, 1px, 1px) !important;
  -webkit-clip-path: inset(50%) !important;
  clip-path: inset(50%) !important;
  height: 1px !important;
  margin: -1px !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  width: 1px !important;
  white-space: nowrap !important;
}

// transverse styles ------------------------------------


.text-l {
  font-size: 1.5rem;
}

.text-red {
  color: colors.$red-aidants;
}

.text-blue {
  color: colors.$blue-aidants;
}

h1, .h1 {
  $margin-top: 2.5rem;

  display: block;
  font-size: 3rem;
  font-weight: bold;
  color: colors.$red-aidants;
  margin: $margin-top 0;
  text-transform: uppercase;
  line-height: 1.25;

  + h2 {
    margin-top: -$margin-top;
  }
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, .subtitle-container {
  + .subtitle {
    font-size: 1.25rem;
    color: colors.$light-blue-anct;
    line-height: 2rem;
  }

  .button {
    text-transform: none;
  }
}


h2, .h2 {
  display: block;
  font-size: 2.25rem;
  color: colors.$blue-aidants;
  font-weight: bold;
  text-transform: uppercase;
  margin: 2rem 0;
  line-height: 1.25;

  + .subtitle {
    margin-top: -1.5rem;
    margin-bottom: 2rem;
  }

  &:first-child, legend + & {
    margin-top: 0;
  }
}

h3, .h3 {
  color: colors.$light-blue-anct;
  font-size: 1.5rem;
  font-weight: normal;
  margin: 2.5rem 0 1.5rem;
  line-height: 1.25;

  &:first-child, legend + & {
    margin-top: 0;
  }
}

h1, h2, h3, h4, h5, h6 {
  &.upper {
    text-transform: uppercase;
  }
}

h3.h3-prime {
  // Like h2 but with with text size of h3. To use on <h3> that visually places between <h2> and <h3>
  display: block;
  color: colors.$blue-aidants;
  font-weight: bold;
  text-transform: uppercase;
  margin: 2rem 0;
}

.h4-prime {
  display: block;
  color: colors.$blue-aidants;
  font-weight: bold;
  text-transform: uppercase;
}

.shadowed {
  .h2, .h3 {
    font-size: 1.125rem;
  }
}

.card-ressource {
  border: 1px solid colors.$off-yellow-aidants;
  box-sizing: border-box;
  box-shadow: 10px 10px 0 colors.$off-yellow-aidants;
  height: 100%; // to fill space in parent column box
  display: flex; // for child content proper display
  flex-direction: column;

  .h1 {
    font-size: 1.5rem;
    text-transform: none;
  }

  .h2, .h3 {
    font-size: 1.125rem;
  }

  img {
    object-fit: cover;
    width: 100%;
  }

  .card-content {
    padding: 2rem;
    flex-grow: 1; // to fill all remaining space in parent .card-resource
    display: flex; // for proper display of child content (p and button box)
    flex-direction: column;

    p {
      flex-grow: 1; // in order to "push" the button-box at the end
    }
  }

  .button-box {
    transform: translateY(4rem);
  }
}


.tag {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 4px;
  gap: 10px;
  display: inline-block;
  font-family: 'Marianne';
  font-style: normal;
  font-weight: 700;
  font-size: 14px;
  line-height: 24px;
  color: colors.$blue-aidants;
  background-color: colors.$off_yellow_aidants;
}

.more-info {
  font-style: italic;
  color: colors.$light-blue-anct;
  margin-top: 4rem;

}

.details-form {
  border: 1px solid colors.$blue-aidants;

  .summary-form {
    background: colors.$blue-aidants no-repeat url("../img/plus-w.svg") 98% 50%;
    color: #fff;
    cursor: pointer;
    padding: 1rem 3rem 1rem 1rem;

    &::marker {
      content: "";
    }

    &:before {
      background: colors.$off-yellow-aidants;
      border-radius: 100%;
      color: colors.$blue-aidants;
      content: "!";
      display: inline-block;
      font-size: 1.7rem;
      font-weight: bold;
      height: 2rem;
      margin-right: 1rem;
      text-align: center;
      width: 2rem;
    }
  }

  &[open] summary {
    background-image: url('../img/x.svg');
  }

  .details-content {
    padding: 0 1rem;
  }
}

dl {
  margin: 0;
  padding: 0;

  dd, dt {
    margin: 0;
    padding: 0;
  }

  dt {
    font-weight: bold;
  }
}

.float-right {
  float: right;
}

.clearfix {
  display: flow-root;

  &:after {
    // Remove after en of support for IE11
    content: "";
    display: table;
    clear: both;
  }
}

// forms -----------------------------------------------

input[type=text], input[type=number], input[type=email], input[type=tel], input[type=url] {
  border: 1px solid colors.$light-blue-anct;
  font-family: $font-stack;
  font-size: 1rem;
  line-height: 2.25;
  padding: 0 .5rem;
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;

  &:focus {
    border-color: colors.$off-yellow-aidants;
    background: colors.$off-yellow-aidants;
  }
}

select {
  border: 1px solid colors.$light-blue-anct;
  border-radius: 0;
  font-family: $font-stack;
  font-size: 1rem;
  // Setting 1rem for right padding to leave space for caret
  padding: 0 1rem 0 .5rem;
  background: #fff url(../img/dropdown.svg) no-repeat 98% 56%;
  max-width: 100%;
  height: 2.25rem;
  -webkit-appearance: none;
  appearance: none;

  &:focus {
    border-color: colors.$off-yellow-aidants;
    background-color: colors.$off-yellow-aidants;
  }
}

textarea {
  border: 1px solid colors.$light-blue-anct;
  background: #fff;
  width: 100%;
  resize: vertical;
  font-family: $font-stack;
  padding: .5rem;
  line-height: 1.25;

  &:focus {
    border-color: colors.$off-yellow-aidants;
    background: colors.$off-yellow-aidants;
  }
}

input[type=checkbox], input[type=radio] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  height: 1.5rem;
  width: 1.5rem;
  min-width: 1.5rem;
  padding: 0;
  margin: 0 1rem 0 0;
  position: relative;
  border: 1px solid colors.$light-blue-anct;
  vertical-align: middle;

  &:before {
    transform: scale(0);
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: url('../img/x.svg') 50% no-repeat;
  }

  &:checked {
    &:before {
      transform: scale(1);
    }
  }
}

input[type=radio] {
  border-radius: 100%;

  &:checked {
    &:before {
      background: colors.$dark-grey-aidants;
      border-radius: 100%;
      border: 4px solid #fff;
    }
  }
}

button, .button {
  background: #fff;
  border: 1px solid colors.$red-aidants;
  color: colors.$red-aidants;
  cursor: pointer;
  display: inline-block;
  font-family: $font-stack;
  font-size: 1rem;
  font-weight: bold;
  line-height: 1.3;
  margin: 0;
  padding: .75rem;
  text-decoration: none;
  vertical-align: baseline;

  &.primary {
    background: colors.$red-aidants;
    color: #fff;
  }

  &:focus-visible {
    background: colors.$off-yellow-aidants;
    color: colors.$dark-grey-aidants;
  }
}

button a {
  color: #fff !important;
  text-decoration: none;
}

fieldset {
  border: none;
  padding: 0;
  margin: 0;
}

.form-grid-row {
  label:only-child, input {
    width: 100%;
  }

  input[type=checkbox], input[type=radio] {
    width: 1.5rem;
  }
}

.checkbox-col {
  display: flex;
  align-items: center;
}

.fr-col-md-2.zipcode-container {
  padding-right: 0;
}

.form-grid-row.form-grid-row-error {
  input {
    border-color: colors.$red-aidants;
  }
}

.fr-grid-row--gutters .errors {
  padding-top: .25rem;
  padding-bottom: 1.5rem;
  font-size: .75rem;
  line-height: 1.25;
  color: colors.$red-aidants-for-small-text;

  > p {
    margin: 0;
  }
}

.help-text {
  margin-top: 0;
  font-size: 0.9rem;
  color: #666;
}

.button-box {
  display: flex;
  justify-content: space-between;

  > :only-child {
    margin-left: auto;
  }

  &.standalone {
    margin-top: 4rem;
  }
}

.shadowed .button-box {
  transform: translateY(4rem);
}

.form-in-3-cols .shadowed .button-box {
  transform: translateY(3rem);
}

.grey-background {
  background: #f2f2f2;
  padding: 1rem;
  margin: 1rem 0;

  &.shown-on-checkbox {
    position: relative;

    &::before {
      position: absolute;
      content: "";
      width: 1.5rem;
      height: 1.5rem;
      background: #f2f2f2;
      transform: rotate(45deg);
      left: 0.2rem;
      top: -.6rem;
      border-radius: 0 0 100% 0;
    }
  }
}

.form-in-3-cols {
  .shadowed {
    padding: 1rem;
    height: 100%;

    &.with-button-box {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }
  }

  button.shadowed, .button.shadowed {
    width: 100%;
    color: colors.$blue-aidants;
    text-transform: uppercase;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;

    &:before {
      content: "+";
      display: block;
      margin-bottom: .75rem;
      font-size: 3rem;
    }
  }

  .fr-grid-row + .fr-grid-row {
    margin-top: 2rem;
  }
}

@media (max-width: utils.$bp-md) {
  .form-grid-row {
    .fr-col-md-5 {
      padding-bottom: .25rem;
    }

    .fr-col-md-7, .zipcode-container, .city-container {
      padding-top: 0;
    }
  }
  h1, .h1 {
    font-size: 2.5rem;
  }
}

@media (min-width: utils.$bp-lg) {
  .form-grid-row-narrow {
    .fr-col-md-5 {
      padding-bottom: .25rem;
    }

    .fr-col-md-7, .zipcode-container, .city-container {
      padding-top: 0;
    }

    button {
      width: 100%;
    }
  }

}

.errorlist {
  background: colors.$red-aidants;
  color: colors.$light-aidants;
  padding: 1rem;
}

.warning {
  background: white;
  color: colors.$red-aidants;
  padding: 1rem;
  font-size: 1rem;
  font-weight: normal;
  border: 1px solid colors.$red-aidants;
  box-sizing: border-box;
  box-shadow: 10px 10px 0 colors.$red-aidants;
}

// habilitation form breadcrumbs -----------------------

.habilitation-breadcrumbs {
  list-style: none;
  display: flex;
  justify-content: space-around;
  border-bottom: 1px solid colors.$red-aidants;
  padding: 0;
  margin: 4rem 0;

  > li {
    margin: 0;
    padding: 0 0 2rem;
    text-align: center;
    position: relative;
    transform: translateY(.5rem);

    a {
      text-decoration: none;
      color: colors.$dark-grey-aidants;
      font-weight: normal;

      &:hover {
        box-shadow: 0 .5rem 0 colors.$off-yellow-aidants;
        color: colors.$red-aidants;
      }
    }

    &:after {
      content: "";
      background: #fff;
      border: 1px solid colors.$red-aidants;
      width: 1rem;
      height: 1rem;
      border-radius: 100%;
      display: block;
      position: absolute;
      bottom: 0;
      left: 50%;
      margin-left: -.5rem;
    }

    &.active {
      font-weight: bold;
      color: colors.$red-aidants;

      &:after {
        background: colors.$red-aidants;
      }
    }

    &:first-child, &:last-child {
      &:before {
        content: "";
        position: absolute;
        background: white;
        width: 10rem;
        height: 1rem;
        right: 50%;
        bottom: 0;
      }
    }

    &:last-child {
      &:before {
        left: 50%;
      }
    }
  }
}

// messages -------------------------------------------

.messages-list-container {
  min-height: 15rem;
  max-height: 25rem;
  overflow-y: auto;
}

ol.messages-list {
  list-style: none;

  li {
    margin-bottom: 1rem;
    overflow: hidden;
  }
}

.message-form-container {
  background: colors.$blue-aidants;
  margin: 1rem -2rem 0;
  padding: 1rem 2rem;
  color: #fff;
  transform: translateY(2rem);
  overflow: hidden;
}

.more-info-messages {
  margin-top: 0;
  font-style: italic;
  color: colors.$light-blue-anct;
}

// header ----------------------------------------------

.skip-links {
  background: colors.$light-grey-aidants;
  border-bottom: 1px solid colors.$blue-aidants;
  transition: transform 0.3s;
  padding: .5rem 1rem;
  font-size: 1rem;
  position: absolute;
  transform: translateY(-100%);
}

.skip-links:focus-within {
  transform: translateY(0);
  position: relative;
}

.skip-links a {
  color: colors.$blue-aidants;
  margin-right: 1em;
}

.header-logo {
  display: flex;
  align-items: center;

  &:focus-visible {
    background: colors.$light-aidants;
  }
}

.header-links {
  list-style: none;
  text-align: right;

  li {
    display: inline-block;

    &:not(:first-child) {
      margin-left: 2rem;
    }
  }

  a {
    text-decoration: none;
    color: colors.$dark-grey-aidants;
    display: block;

    &.active {
      color: colors.$red-aidants;
      font-weight: bold;
    }

    &:hover {
      box-shadow: 0 .5rem 0 colors.$off-yellow-aidants;
    }
  }
}

// footer ----------------------------------------------

footer {
  background: colors.$dark-grey-aidants;
  color: colors.$light-aidants;
  padding: 3rem 0;
  margin: 5rem 0 0;
}

.footer-links {
  list-style: none;

  li {
    margin-bottom: .5rem;

    &.text-l {
      margin-bottom: 1rem;
    }
  }

  a {
    color: colors.$light-aidants;
  }
}

.footer-social {
  list-style: none;
  margin: 1rem 0 0;

  li {
    display: inline-block;
    padding: 0 1rem 0 0;
  }

  a {
    color: colors.$light-aidants;
    text-decoration: none;
  }

  .icon {
    fill: colors.$light-aidants;
    width: 1.5rem;
    height: 1.5rem;
    vertical-align: -25%;
  }

  a:focus-visible .icon {
    fill: colors.$dark-grey-aidants;
  }
}

// FAQ
.more-questions {
  background: colors.$blue-aidants;
  color: #fff;
  position: relative;
  padding: 1.5rem 1.5rem 2rem;
  margin: 3rem 0 2rem;

  h2 {
    font-size: 1.5rem;
    text-transform: none;
    font-weight: normal;
    color: #fff;
  }

  .questions-cta {
    display: flex;
    height: 3rem;
    padding: 0 1rem;
    background: colors.$red-aidants;
    position: absolute;
    right: 1.5rem;
    bottom: -1.5rem;
    margin: 0;
    justify-content: center;
    align-items: center;
  }
}

// testimonies

.testimonies {
  $radius: 5rem;

  nav ul {
    list-style-type: none;

    li + li {
      margin-top: 1.5rem;
    }

    a {
      display: flex;
      border-radius: 6rem;
      text-decoration: none;
      color: colors.$blue-aidants;
      font-size: 0.875em;
      font-weight: normal;

      &.active {
        background: colors.$blue-aidants;
        color: #fff;
      }
    }

    .t-info {
      display: flex;
      flex-direction: column;
      justify-content: center;
      padding-left: 1.6em;

      .name {
        font-weight: bold;
      }
    }

    .portrait {
      display: flex;

      img {
        width: $radius;
        height: $radius;
        border-radius: 100%;
        border: 2px solid #fff;
      }
    }
  }

  .testimony-header {
    display: flex;
    justify-content: center;

    .portrait {
      img {
        border-radius: 100%;
      }
    }
  }

  .testimony-title {
    font-size: 1.5rem;
    color: colors.$blue-aidants;
    margin-left: 2rem;

    .compo {
      display: block;
      margin-bottom: .5em;
    }

    .compo:first-child {
      font-weight: normal;
      font-size: 1rem;
      color: colors.$red-aidants;
    }

    .compo:last-child {
      text-transform: none;
      font-size: 1rem;
      font-weight: normal;

    }
  }

  .testimony-content {
    h1, h2, h3, h4 {
      font-weight: bold;
      font-size: 1rem;
      margin: 2em 0 1em;
      color: colors.$red-aidants;
    }
  }
}
